#ifndef ETHERNETNODECOST_H_
#define ETHERNETNODECOST_H_

#include "models/wiredbas/common/NodeCost.h"
#include "quantities/Ports.h"
#include "float.h"

namespace cosi {

namespace models {

namespace wiredbas {

class EthernetNodeCost : public NodeCost {

public:
	EthernetNodeCost();
	virtual ~EthernetNodeCost();
	double GetValue(std::string pComponentName, std::string pComponentType,
			Ports pPorts);

	double GetValue(std::string pComponentName, std::string pComponentType,
			Ports pPorts, double InterfaceSpeed);

};

}

}

}

#endif /*ETHERNETNODECOST_H_*/
